function [L, l, lambda, mu, sigma] = log_likelihood_crucini_est(para, c , y, ca, restrict, no_mu, min_lambda, max_lambda, cap_para)
% version: 2013/Mar/5 9:35 PM NY
[T, N] = size(c);

lambda = restrict*(min_lambda + (max_lambda - min_lambda)./(1 + exp(para))) + (1-restrict)*min(cap_para*10, max(-cap_para*10, para));

if no_mu == 1;
    mu = zeros(N,1);
else mu = (sum(c - y - (ones(T,1)*lambda').*(ca*ones(1,N) - y))/T)';
end

sigma = sqrt(sum((c - y - ones(T,1)*mu' - (ones(T,1)*lambda').*(ca*ones(1,N) - y)).^2)/T)';

x = ((c - y - ones(T,1)*mu' -((ones(T,1)*lambda').*(ca*ones(1,N) - y)))./(ones(T,1)*sigma'));

L = -sum(sum(x.^2))/2 - T*sum(log(sigma)) - (N*T*log(2*pi))/2;

l = -sum(x.^2)/2 - T*log(sigma') - T*log(2*pi)/2;
l = l';

end
