function [para_star_temp, LL] = new_crucini_fminunc(para_0, c , y, restrict, no_mu, check_l, min_lambda, max_lambda, cap_para, fmin_op, f_min_unc)

f = @(para_x) -log_likelihood_main(para_x, c, y, restrict, no_mu, check_l, min_lambda, max_lambda, cap_para);

ok = 0;
count = 0;

if f_min_unc == 1
    while ok == 0
        try
            [para_star_temp, LL] = fminunc(f, para_0, fmin_op);
            
            ok = 1;
            %if count > 0;
            %    disp('Done');
            %end
        catch
            count = count + 1;
            para_0 = randn(length(para_0),1);
            disp(['Replace with new initial value. Count = ' num2str(count)]);
        end
    end
else
    while ok == 0
        try
            [para_star_temp, LL] = fminsearch(f, para_0, fmin_op);
            
            ok = 1;
            %if count > 0;
            %    disp('Done');
            %end
        catch
            count = count + 1;
            para_0 = randn(length(para_0),1);
            disp(['Replace with new initial value. Count = ' num2str(count)]);
        end
    end
end

end